using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GreenTree.Nachtragsmanagement.Core.Configuration
{
    public class LdapServerElement : ConfigurationElement
    {
        /// <summary>
        /// LDAP server which should be connected to to authenticate the user
        /// </summary>
        [ConfigurationProperty("ldapServer", DefaultValue = "", IsRequired = false)]
        public string SmtpServer
        {
            get
            {
                return (string)this["ldapServer"];
            }
            set
            {
                this["ldapServer"] = value;
            }
        }

        /// <summary>
        /// User which is allowed to query the specified LDAP server
        /// </summary>
        [ConfigurationProperty("administriveUser", DefaultValue = "", IsRequired = false)]
        public string AdministriveUser
        {
            get
            {
                return (string)this["administriveUser"];
            }
            set
            {
                this["administriveUser"] = value;
            }
        }

        /// <summary>
        /// Password of the administrive user
        /// </summary>
        [ConfigurationProperty("password", DefaultValue = "", IsRequired = false)]
        public string Password
        {
            get
            {
                return (string)this["password"];
            }
            set
            {
                this["password"] = value;
            }
        }
    }
}